https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/transitionsReturns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status. Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list. This operation can be accessed anonymously. **Permissions required: A list or transition is returned only when the user has:** * *Browse projects* project permission for the project that the issue is in. * If issue-level security is configured, issue-level security permission to view the issue. However, if the user does not have the *Transition issues* project permission the response will not list any transitions.
The ID or key of the issue.
Use [expand](#expansion) to include additional information about transitions in the response. This parameter accepts `transitions.fields`, which returns information about the fields in the transition screen for each transition. Fields hidden from the screen are not returned. Use this information to populate the `fields` and `update` fields in [Transition issue](#api-rest-api-3-issue-issueIdOrKey-transitions-post).
The ID of the transition.
Whether transitions with the condition *Hide From User Condition* are included in the response.
Whether details of transitions that fail a condition are included in the response
Whether the transitions are sorted by ops-bar sequence value first then category order (Todo, In Progress, Done) or only by ops-bar sequence value.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/transitions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/transitionsReturns either all transitions or a transition that can be performed by the user on an issue, based on the issue's status. Note, if a request is made for a transition that does not exist or cannot be performed on the issue, given its status, the response will return any empty transitions list. This operation can be accessed anonymously. **Permissions required: A list or transition is returned only when the user has:** * *Browse projects* project permission for the project that the issue is in. * If issue-level security is configured, issue-level security permission to view the issue. However, if the user does not have the *Transition issues* project permission the response will not list any transitions.
The ID or key of the issue.
Use [expand](#expansion) to include additional information about transitions in the response. This parameter accepts `transitions.fields`, which returns information about the fields in the transition screen for each transition. Fields hidden from the screen are not returned. Use this information to populate the `fields` and `update` fields in [Transition issue](#api-rest-api-3-issue-issueIdOrKey-transitions-post).
The ID of the transition.
Whether transitions with the condition *Hide From User Condition* are included in the response.
Whether details of transitions that fail a condition are included in the response
Whether the transitions are sorted by ops-bar sequence value first then category order (Todo, In Progress, Done) or only by ops-bar sequence value.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/issue/{issueIdOrKey}/transitions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}